Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/NavigationManager.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/NavigationManager.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/NavigationManager.java	(revision 51030)
@@ -32,11 +32,17 @@
 
         //TODO use role instead of email
         if(RepositoryManager.currentUserRole.equals("admin")) {
+            Document.get().getElementById("adminMenuHeader").getStyle().setDisplay(Style.Display.BLOCK);
+            Document.get().getElementById("adminMenuHelpTexts").getStyle().setDisplay(Style.Display.BLOCK);
+            Document.get().getElementById("adminMenuMetrics").getStyle().setDisplay(Style.Display.BLOCK);
+
             Document.get().getElementById("admin1").getStyle().setDisplay(Style.Display.BLOCK);
-            Document.get().getElementById("admin2").getStyle().setDisplay(Style.Display.BLOCK);
         } else {
+            Document.get().getElementById("adminMenuHeader").getStyle().setDisplay(Style.Display.NONE);
+            Document.get().getElementById("adminMenuHelpTexts").getStyle().setDisplay(Style.Display.NONE);
+            Document.get().getElementById("adminMenuMetrics").getStyle().setDisplay(Style.Display.NONE);
+
             Document.get().getElementById("admin1").getStyle().setDisplay(Style.Display.NONE);
-            Document.get().getElementById("admin2").getStyle().setDisplay(Style.Display.NONE);
         }
 
         RepositoryManager.previousToken = RepositoryManager.currentToken;
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/datasources/update/UpdateRepositoryWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/datasources/update/UpdateRepositoryWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/datasources/update/UpdateRepositoryWidget.java	(revision 51030)
@@ -2,11 +2,17 @@
 
 import com.google.gwt.core.client.GWT;
 import com.google.gwt.dom.client.Document;
+import com.google.gwt.event.dom.client.ClickEvent;
+import com.google.gwt.event.dom.client.ClickHandler;
+import com.google.gwt.query.client.Function;
+import com.google.gwt.user.client.Event;
+import com.google.gwt.user.client.Window;
 import com.google.gwt.user.client.rpc.AsyncCallback;
 import com.google.gwt.user.client.ui.FlowPanel;
 import com.google.gwt.user.client.ui.HTML;
 import com.google.gwt.user.client.ui.Widget;
 import eu.dnetlib.domain.data.Repository;
+import eu.dnetlib.domain.functionality.validator.JobResultEntry;
 import eu.dnetlib.gwt.client.help.HelpService;
 import eu.dnetlib.gwt.client.help.HelpServiceAsync;
 import eu.dnetlib.repo.manager.client.AbstractRepositoryManagerWidget;
@@ -13,12 +19,21 @@
 import eu.dnetlib.repo.manager.client.HelpCallback;
 import eu.dnetlib.repo.manager.client.RepositoryManager;
 import eu.dnetlib.repo.manager.client.RepositoryManagerWidget;
+import eu.dnetlib.repo.manager.client.enrichcontent.EventsSubscriptionForm;
 import eu.dnetlib.repo.manager.client.services.RepositoryService;
 import eu.dnetlib.repo.manager.client.services.RepositoryServiceAsync;
+import eu.dnetlib.repo.manager.client.widgets.*;
 import eu.dnetlib.repo.manager.shared.DatasourceVocabularies;
-import org.gwtbootstrap3.client.ui.Alert;
+import eu.dnetlib.repo.manager.shared.broker.OpenaireSubscription;
+import eu.dnetlib.repo.manager.shared.broker.Subscription;
+import org.gwtbootstrap3.client.ui.*;
+import org.gwtbootstrap3.client.ui.TextBox;
 import org.gwtbootstrap3.client.ui.constants.AlertType;
+import org.gwtbootstrap3.client.ui.constants.ButtonType;
+import org.gwtbootstrap3.client.ui.constants.ModalBackdrop;
 
+import static com.google.gwt.query.client.GQuery.$;
+
 /**
  * Created by stefania on 1/14/16.
  */
@@ -27,9 +42,11 @@
     private String parentToken = "";
     private String restToken = "";
 
+    private static HTML title = new HTML();
     private FlowPanel updateRepositoryBoxContent = new FlowPanel();
 
     private Alert errorAlert = new Alert();
+    private Alert successAlert = new Alert();
 
     private RepositoryServiceAsync repositoryService = GWT.create(RepositoryService.class);
     private static HelpServiceAsync helpService = GWT.create(HelpService.class);
@@ -36,7 +53,6 @@
 
     public UpdateRepositoryWidget() {
 
-        HTML title = new HTML("<h1 class=\"uk-article-title\">Update your datasource</h1>");
         title.addStyleName("uk-margin-medium-bottom");
         contentPanel.add(title);
 
@@ -45,6 +61,11 @@
         errorAlert.setVisible(false);
         updateRepositoryBoxContent.add(errorAlert);
 
+        successAlert.setType(AlertType.SUCCESS);
+        successAlert.setDismissable(false);
+        successAlert.setVisible(false);
+        updateRepositoryBoxContent.add(successAlert);
+
         contentPanel.add(updateRepositoryBoxContent);
     }
 
@@ -52,6 +73,7 @@
     public void clear() {
         updateRepositoryBoxContent.clear();
         errorAlert.setVisible(false);
+        successAlert.setVisible(false);
         gridPanel.remove(helpPanel);
     }
 
@@ -60,6 +82,7 @@
 
         Document.get().getElementById("headerNoTransparent").removeClassName("tm-header-transparent");
         updateRepositoryBoxContent.add(errorAlert);
+        updateRepositoryBoxContent.add(successAlert);
 
         final HTML loadingWheel = new HTML("<div class=\"loader-big\" style=\"text-align: center; padding-top: 170px; " +
                 "color: rgb(47, 64, 80); font-weight: bold;\">Retrieving repository...</div>" +
@@ -84,6 +107,17 @@
             @Override
             public void onSuccess(final Repository repository) {
 
+                String logoURLSource = "";
+                if(repository.getLogoUrl()==null || repository.getLogoUrl().isEmpty())
+                    logoURLSource = "img/yourLogoHere.jpg";
+                else
+                    logoURLSource = repository.getLogoUrl();
+
+                title.setHTML("<h1 class=\"uk-article-title\">" +
+                        "<a id=\"updateLogoURL\" href=\"javascript:;\">" +
+                        "<img src=\"" + logoURLSource + "\" alt=\"[Repo Logo]\" width=\"60px\" style=\"margin-right: 15px; margin-top:-8px\"></a>" +
+                        repository.getOfficialName() + "</h1>");
+
 //                RepositoryManager.pageHeader.clear();
 //
 //                String logoURLSource = "";
@@ -122,6 +156,8 @@
                         UpdateRepositoryForm updateRepositoryForm =
                                 new UpdateRepositoryForm(repository.getDatasourceType(), datasourceVocabularies, repository);
                         updateRepositoryBoxContent.add(updateRepositoryForm.asWidget());
+
+                        addHandlers(repository);
                     }
                 });
             }
@@ -138,4 +174,116 @@
     public void afterAdditionToRootPanel() {
 
     }
+
+    private void addHandlers(final Repository repository) {
+
+        $("#updateLogoURL").click(new Function() {
+
+            public boolean f(Event e) {
+
+                errorAlert.setVisible(false);
+                successAlert.setVisible(false);
+
+                openModalToEnterLogoURL(repository);
+
+                return true;
+            }
+        });
+    }
+
+    private void openModalToEnterLogoURL(final Repository repository) {
+
+        final Modal updateLogoURLModal = new Modal();
+        updateLogoURLModal.setDataBackdrop(ModalBackdrop.STATIC);
+
+        FlowPanel modalContent = new FlowPanel();
+
+        HTML title = new HTML("<h2 class=\"uk-modal-title\">Update Logo URL</h2>\n");
+        modalContent.add(title);
+
+        Form logoURLForm = new Form();
+
+        final TextBox logoURLTextBox = new TextBox();
+        if(repository.getLogoUrl()==null || repository.getLogoUrl().isEmpty())
+            logoURLTextBox.setPlaceholder("Logo URL");
+        else
+            logoURLTextBox.setValue(repository.getLogoUrl());
+
+        logoURLForm.addStyleName("uk-margin uk-grid");
+
+        FlowPanel logoURLTextBoxWrapper = new FlowPanel();
+        logoURLTextBoxWrapper.addStyleName("uk-width-1-1");
+        logoURLTextBoxWrapper.add(logoURLTextBox);
+        logoURLForm.add(logoURLTextBoxWrapper);
+
+        modalContent.add(logoURLForm);
+
+        FlowPanel actionButtons = new FlowPanel();
+        actionButtons.addStyleName("uk-text-right uk-margin-bottom");
+        modalContent.add(actionButtons);
+
+        Button no = new Button("Cancel");
+        no.addStyleName("uk-button uk-button-default");
+        no.addClickHandler(new ClickHandler() {
+            @Override
+            public void onClick(ClickEvent event) {
+                updateLogoURLModal.hide();
+                updateLogoURLModal.removeFromParent();
+            }
+        });
+        actionButtons.add(no);
+
+        Button yes = new Button("Update");
+        yes.addStyleName("uk-button uk-button-primary");
+        yes.addClickHandler(new ClickHandler() {
+            @Override
+            public void onClick(ClickEvent event) {
+
+                repository.setLogoUrl(logoURLTextBox.getValue().trim());
+                repositoryService.updateRepositoryInformation(repository, new AsyncCallback<Void>() {
+
+                    @Override
+                    public void onFailure(Throwable throwable) {
+
+                        errorAlert.setText("System error updating logo URL");
+                        errorAlert.setVisible(true);
+
+                        updateLogoURLModal.hide();
+                        updateLogoURLModal.removeFromParent();
+                    }
+
+                    @Override
+                    public void onSuccess(Void aVoid) {
+
+                        successAlert.setVisible(true);
+                        successAlert.setText("Logo updated successfully");
+
+                        String logoURLSource = "";
+                        if(repository.getLogoUrl()==null || repository.getLogoUrl().isEmpty())
+                            logoURLSource = "img/yourLogoHere.jpg";
+                        else
+                            logoURLSource = repository.getLogoUrl();
+
+                        UpdateRepositoryWidget.title.setHTML("<h1 class=\"uk-article-title\">" +
+                                "<a id=\"updateLogoURL\" href=\"javascript:;\">" +
+                                "<img src=\"" + logoURLSource + "\" alt=\"[Repo Logo]\" width=\"60px\" style=\"margin-right: 15px; margin-top:-8px\"></a>" +
+                                repository.getOfficialName() + "</h1>");
+
+                        addHandlers(repository);
+
+                        updateLogoURLModal.hide();
+                        updateLogoURLModal.removeFromParent();
+                    }
+                });
+            }
+        });
+        actionButtons.add(yes);
+
+        ModalBody modalBody = new ModalBody();
+        modalBody.add(modalContent);
+        updateLogoURLModal.add(modalBody);
+        updateLogoURLModal.getElement().getChild(0).getChild(0).getChild(0).removeFromParent();
+
+        updateLogoURLModal.show();
+    }
 }
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/services/RepositoryServiceImpl.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/services/RepositoryServiceImpl.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/services/RepositoryServiceImpl.java	(revision 51030)
@@ -1,9 +1,6 @@
 package eu.dnetlib.repo.manager.server.services;
 
-import com.fasterxml.jackson.databind.DeserializationConfig;
 import com.fasterxml.jackson.databind.ObjectMapper;
-import com.fasterxml.jackson.databind.exc.UnrecognizedPropertyException;
-import com.unboundid.util.Base64;
 import eu.dnetlib.domain.data.PiwikInfo;
 import eu.dnetlib.domain.data.Repository;
 import eu.dnetlib.domain.data.RepositoryInterface;
@@ -13,7 +10,6 @@
 import eu.dnetlib.repo.manager.client.services.RepositoryService;
 import eu.dnetlib.repo.manager.server.utils.EmailUtils;
 import eu.dnetlib.repo.manager.server.utils.LocalVocabularies;
-import eu.dnetlib.domain.data.PiwikInfo;
 import eu.dnetlib.repo.manager.service.controllers.RepositoryApi;
 import eu.dnetlib.repo.manager.shared.*;
 import eu.dnetlib.repos.RepoApi;
@@ -23,7 +19,6 @@
 import org.apache.commons.lang.WordUtils;
 import org.apache.log4j.Logger;
 import org.json.JSONException;
-import org.json.JSONObject;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.beans.factory.annotation.Value;
 import org.springframework.core.ParameterizedTypeReference;
@@ -41,7 +36,6 @@
 import java.io.IOException;
 import java.io.UnsupportedEncodingException;
 import java.net.URLEncoder;
-import java.text.Normalizer;
 import java.util.*;
 import java.util.concurrent.ConcurrentHashMap;
 import java.net.URL;
@@ -722,4 +716,9 @@
 
         return null;
     }
+
+    @Override
+    public Aggregations getRepositoryAggregations(String repoId) throws Exception {
+        return repositoryApi.getRepositoryAggregations(repoId);
+    }
 }
\ No newline at end of file
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/services/BrokerServiceImpl.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/services/BrokerServiceImpl.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/services/BrokerServiceImpl.java	(revision 51030)
@@ -9,6 +9,7 @@
 import eu.dnetlib.repo.manager.service.controllers.RepositoryApi;
 import eu.dnetlib.repo.manager.shared.BrokerException;
 import eu.dnetlib.repo.manager.shared.RepositoryServiceException;
+import eu.dnetlib.repo.manager.shared.Term;
 import eu.dnetlib.repo.manager.shared.Tuple;
 import eu.dnetlib.repo.manager.shared.broker.*;
 import eu.dnetlib.repos.RepoApi;
@@ -165,8 +166,8 @@
     }
 
     @Override
-    public Map<String, List<SimpleSubscriptionDesc>> getSubscriptionsOfUser(String userEmail) throws BrokerException {
-        return brokerApi.getSubscriptionsOfUser(userEmail);
+    public Map<String, List<SimpleSubscriptionDesc>> getSimpleSubscriptionsOfUser(String userEmail) throws BrokerException {
+        return brokerApi.getSimpleSubscriptionsOfUser(userEmail);
     }
 
     @Override
@@ -191,6 +192,10 @@
         }
     }
 
+    public Map<String,Term> getDnetTopics() throws BrokerException {
+        return brokerApi.getDnetTopics();
+    }
+
     /**
      * Helper class to aggregate the datasources topic sizes by datasource name.
      *
@@ -224,4 +229,15 @@
 
         return entries;
     }
+
+    @Override
+    public EventsPage getNotificationsBySubscriptionId(String subscriptionId,String page,String size) throws BrokerException {
+        return brokerApi.getNotificationsBySubscriptionId(subscriptionId,page,size);
+    }
+
+    @Override
+    public Map<String, List<Subscription>> getSubscriptionsOfUser(String userEmail) throws BrokerException {
+        return brokerApi.getSubscriptionsOfUser(userEmail);
+    }
+
 }
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/broker/NotificationMode.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/broker/NotificationMode.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/broker/NotificationMode.java	(revision 51030)
@@ -6,5 +6,5 @@
  * Created by stefanos on 10-Mar-17.
  */
 public enum NotificationMode implements IsSerializable {
-    MOCK, EMAIL
+    EMAIL
 }
\ No newline at end of file
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/Term.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/Term.java	(nonexistent)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/Term.java	(revision 51030)
@@ -0,0 +1,56 @@
+package eu.dnetlib.repo.manager.shared;
+
+import com.google.gwt.user.client.rpc.IsSerializable;
+
+/**
+ * Created by panagiotis on 15/1/2018.
+ */
+public class Term implements IsSerializable {
+
+    public String englishName;
+    public String nativeName;
+    public String encoding;
+    public String code;
+
+    public Term() {
+    }
+
+    public Term(String englishName, String nativeName, String encoding, String code) {
+        this.englishName = englishName;
+        this.nativeName = nativeName;
+        this.encoding = encoding;
+        this.code = code;
+    }
+
+    public String getEnglishName() {
+        return englishName;
+    }
+
+    public void setEnglishName(String englishName) {
+        this.englishName = englishName;
+    }
+
+    public String getNativeName() {
+        return nativeName;
+    }
+
+    public void setNativeName(String nativeName) {
+        this.nativeName = nativeName;
+    }
+
+    public String getEncoding() {
+        return encoding;
+    }
+
+    public void setEncoding(String encoding) {
+        this.encoding = encoding;
+    }
+
+    public String getCode() {
+        return code;
+    }
+
+    public void setCode(String code) {
+        this.code = code;
+    }
+}
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/Aggregations.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/Aggregations.java	(nonexistent)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/Aggregations.java	(revision 51030)
@@ -0,0 +1,40 @@
+package eu.dnetlib.repo.manager.shared;
+
+import com.google.gwt.user.client.rpc.IsSerializable;
+
+import java.util.ArrayList;
+import java.util.List;
+
+public class Aggregations implements IsSerializable{
+
+    private List<AggregationDetails> aggregationHistory = new ArrayList<>();
+    private AggregationDetails lastCollection;
+    private AggregationDetails lastTransformation;
+
+    public Aggregations() {
+    }
+
+    public List<AggregationDetails> getAggregationHistory() {
+        return aggregationHistory;
+    }
+
+    public void setAggregationHistory(List<AggregationDetails> aggregationHistory) {
+        this.aggregationHistory = aggregationHistory;
+    }
+
+    public AggregationDetails getLastCollection() {
+        return lastCollection;
+    }
+
+    public void setLastCollection(AggregationDetails lastCollection) {
+        this.lastCollection = lastCollection;
+    }
+
+    public AggregationDetails getLastTransformation() {
+        return lastTransformation;
+    }
+
+    public void setLastTransformation(AggregationDetails lastTransformation) {
+        this.lastTransformation = lastTransformation;
+    }
+}
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/AggregationDetails.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/AggregationDetails.java	(nonexistent)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/shared/AggregationDetails.java	(revision 51030)
@@ -0,0 +1,49 @@
+package eu.dnetlib.repo.manager.shared;
+
+import com.google.gwt.user.client.rpc.IsSerializable;
+
+import java.util.Date;
+
+public class AggregationDetails implements IsSerializable{
+
+
+    private String aggregationStage;
+    private Date date;
+    private int numberOfRecords;
+    private String collectionMode;
+
+    public AggregationDetails() {
+    }
+
+    public String getAggregationStage() {
+        return aggregationStage;
+    }
+
+    public String getCollectionMode() {
+        return collectionMode;
+    }
+
+    public void setCollectionMode(String collectionMode) {
+        this.collectionMode = collectionMode;
+    }
+
+    public void setAggregationStage(String aggregationStage) {
+        this.aggregationStage = aggregationStage;
+    }
+
+    public Date getDate() {
+        return date;
+    }
+
+    public void setDate(Date date) {
+        this.date = date;
+    }
+
+    public int getNumberOfRecords() {
+        return numberOfRecords;
+    }
+
+    public void setNumberOfRecords(int numberOfRecords) {
+        this.numberOfRecords = numberOfRecords;
+    }
+}
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/browsehistory/ViewJobDetailsWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/browsehistory/ViewJobDetailsWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/browsehistory/ViewJobDetailsWidget.java	(revision 51030)
@@ -41,6 +41,7 @@
     private String parentToken = "";
     private String restToken = "";
 
+    private HTML title = new HTML();
     private FlowPanel viewJobDetailsBoxContent = new FlowPanel();
 
     private Alert errorAlert = new Alert();
@@ -59,9 +60,12 @@
 
         super();
 
-        HTML title = new HTML("<h1 class=\"uk-article-title\">Job details</h1>");
+
         title.addStyleName("uk-margin-medium-bottom");
         contentPanel.add(title);
+//        HTML title = new HTML("<h1 class=\"uk-article-title\">Validation results for</h1>");
+//        title.addStyleName("uk-margin-medium-bottom");
+//        contentPanel.add(title);
 
         contentPanel.add(viewJobDetailsBoxContent);
 
@@ -111,6 +115,9 @@
 
                 ViewJobDetailsWidget.this.storedJob = storedJob;
 
+//                title.setHTML("<h1 class=\"uk-article-title\">Validation results for " + storedJob.getOfficialName() + "</h1>");
+                title.setHTML("<h1 class=\"uk-article-title\">Validation results for</h1>");
+
                 viewJobDetailsBoxContent.removeStyleName("loading-big");
                 viewJobDetailsBoxContent.remove(loadingWheel);
 
@@ -140,7 +147,7 @@
 
         String content = "<h4 class=\"uk-h4 uk-text-primary uk-scrollspy-inview uk-animation-slide-top-medium\"" +
                 "uk-scrollspy-class=\"\"><span>" + storedJob.getBaseUrl() + "</span></h4>" +
-                "<div class=\"uk-margin\">by " + storedJob.getUserEmail() + "</div>";
+                "<div class=\"uk-margin-small\">by " + storedJob.getUserEmail() + "</div>";
 
 
         generalInfoItem.add(new HTML(content));
@@ -152,15 +159,21 @@
         FlowPanel generalInfoTags = new FlowPanel();
 
         String content = "<hr class=\"uk-scrollspy-inview uk-animation-slide-bottom-small\" uk-scrollspy-class=\"\">" +
-                "<div class=\"tags\">" +
-                "<span class=\"label label-primary\">" + storedJob.getJobType() + "</span>" +
-                "<span class=\"label label-primary\">" + storedJob.getGuidelinesShortName() + "</span>" +
-                "<span class=\"label label-primary\">Validation set: " + storedJob.getValidationSet() + "</span>" +
-                "<span class=\"label label-primary\">Started: " + storedJob.getStarted() + "</span>" +
-                "<span class=\"label label-primary\">Ended: " + storedJob.getEnded() + "</span>" +
-                "<span class=\"label label-primary\">Duration: " + storedJob.getDuration() + "</span>" +
-                "<span class=\"label label-primary\">Records tested: " + storedJob.getRecordsTested() + "</span>" +
-                "<span class=\"label label-primary\">Score for content: " + storedJob.getContentJobScore() + "</span>" +
+                "<div>" +
+                "<span class=\"\">" + storedJob.getJobType() + "</span> | " +
+                "<span class=\"\">" + storedJob.getGuidelinesShortName() + "</span> | " +
+                "<span class=\"\">Validation set: " + storedJob.getValidationSet() + "</span>" +
+                "</div>" +
+                "<div>" +
+                "<span class=\"\">Started: " + storedJob.getStarted() + "</span>, " +
+                "<span class=\"\">Ended: " + storedJob.getEnded() + "</span>, " +
+                "<span class=\"\">Duration: " + storedJob.getDuration() + "</span>" +
+                "</div>" +
+                "<div style=\"font-size: 120%\">" +
+                "<span class=\"\">Records tested: " + storedJob.getRecordsTested() + "</span>" +
+                "</div>" +
+                "<div>" +
+                "<span class=\"label label-primary uk-margin-right\">Score for content: " + storedJob.getContentJobScore() + "</span>" +
                 "<span class=\"label label-primary\">Score for usage: " + storedJob.getUsageJobScore() + "</span>" +
                 "</div>" +
                 "<hr class=\"uk-scrollspy-inview uk-animation-slide-bottom-small\" uk-scrollspy-class=\"\">";
@@ -253,7 +266,7 @@
         String content = "<table class=\"uk-table uk-table-striped uk-table-middle rules-table\">" +
                 "<thead><tr><th>Rule Name</th><th class=\"uk-text-nowrap\">Rule Description</th>" +
                 "<th class=\"uk-text-nowrap\">Rule Weight</th><th class=\"uk-text-nowrap\"># of records</th>" +
-                "<th class=\"uk-text-nowrap\">Success</th></tr></thead>";
+                "<th class=\"uk-text-nowrap\">Status</th></tr></thead>";
 
         content += "<tbody>";
 
@@ -283,13 +296,22 @@
                         "<td class=\"uk-table-shrink\">\n";
 
                 if (jobResults.get(i).isHasErrors() && jobResults.get(i).isMandatory()) {
-                    content += "<img src=\"img/icon_colours-x.jpg\" alt=\"Error\" class=\"el-image uk-preserve-width\" width=\"20\">" +
+
+                    content += "<span uk-icon=\"icon: close\" style=\"color: #cd242b\"></span>" +
                             "<a href=\"javascript:;\" class=\"errorlink viewErrors uk-display-block\" id=\"" + jobResults.get(i).getType() + "#" + i + "\"><span>View Errors</span></a>";
+//                    content += "<img src=\"img/icon_colours-x.jpg\" alt=\"Error\" class=\"el-image uk-preserve-width\" width=\"20\">" +
+//                            "<a href=\"javascript:;\" class=\"errorlink viewErrors uk-display-block\" id=\"" + jobResults.get(i).getType() + "#" + i + "\"><span>View Errors</span></a>";
+
                 } else if (jobResults.get(i).isHasErrors() && !jobResults.get(i).isMandatory()) {
-                    content += "<img src=\"img/icon_colours-warning.jpg\" alt=\"Warning\" class=\"el-image uk-preserve-width\" width=\"20\">" +
+
+                    content += "<span uk-icon=\"icon: warning\" style=\"color: #e9d60d\"></span>" +
                             "<a href=\"javascript:;\" class=\"warninglink viewErrors uk-display-block\" id=\"" + jobResults.get(i).getType() + "#" + i + "\"><span>View Warnings</span></a>";
+//                    content += "<img src=\"img/icon_colours-warning.jpg\" alt=\"Warning\" class=\"el-image uk-preserve-width\" width=\"20\">" +
+//                            "<a href=\"javascript:;\" class=\"warninglink viewErrors uk-display-block\" id=\"" + jobResults.get(i).getType() + "#" + i + "\"><span>View Warnings</span></a>";
+
                 } else
-                    content += "<img src=\"img/icon_colours-check.jpg\" alt=\"Success\" class=\"el-image uk-preserve-width\" width=\"20\">";
+                    content += "<span uk-icon=\"icon: check\" style=\"color: #4b991f\"></span>" ;
+//                    content += "<img src=\"img/icon_colours-check.jpg\" alt=\"Success\" class=\"el-image uk-preserve-width\" width=\"20\">";
 
                 content += "</td>" +
                         "</tr>";
